# Minimal without dependencies

Personal blog theme powered by [Hugo](https://gohugo.io). I only took [Calin Tataru](https://calintat.github.io) theme and stripped out
all the links to varios CDNs. I would prefer my website to have as little dependencies outside my control as possible please.

## Installation

You can install the theme either as a clone or submodule.

I recommend the latter. From the root of your Hugo site, type the following:

```
$ git submodule add GIT_URL_HERE themes/minimal-no-third-party
$ git submodule init
$ git submodule update
```

Now you can get updates to Minimal in the future by updating the submodule:

```
$ git submodule update --remote themes/minimal-no-third-party
```

## Configuration

After installation, take a look at the `exampleSite` folder inside `themes/minimal`.

To get started, copy the `config.toml` file inside `exampleSite` to the root of your Hugo site:

```
$ cp themes/minimal/exampleSite/config.toml .
```

Now edit this file and add your own information. Note that some fields can be omitted.

I recommend you use the theme's archetypes so now delete your site's `archetypes/default.md`.

## Features

You can tweak the look of the theme to suit your needs in a number of ways:

- The accent colour can be changed by using the `accent` field in `config.toml`.

- You can also change the background colour by using `backgroundColor`.

- Add colored 5px borders at the top and bottom of pages by setting `showBorder` to `true`.

For best results, I recommend you use a dark accent colour with a light background, for example:

```toml
[params]
    accent = "red"
    showBorder = true
    backgroundColor = "white"
```


### Syntax highlighting

The theme does not supportssyntax highlighting.
